### Method

# Secret Service create_collection_dbus_path_finish

#### Declaration [src]

    gchar*
    secret_service_create_collection_dbus_path_finish (
      SecretService* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish asynchronous operation to create a new collection in the secret service.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`result`

  Type: `GAsyncResult`

  The asynchronous result passed to the callback.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A new string containing the D-Bus object path of the collection.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.